Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Interface OperationCloseHandle

All Superinterfaces:
  `AutoCloseable`

public interface OperationCloseHandle extends AutoCloseable
Close handle for `Operation` implementations.

Since:
  4.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`isCancelled()`

## Method Details

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`

### isCancelled

boolean isCancelled()

Returns:
  `true` if the operation was cancelled